## Fetch a Gateway **get** `/accounts/{account_id}/ai-gateway/gateways/{id}` Retrieves details for a specific AI Gateway dataset. ### Path Parameters - `account_id: string` - `id: string` gateway id ### Returns - `result: object { id, cache_invalidate_on_update, cache_ttl, 21 more }` - `id: string` gateway id - `cache_invalidate_on_update: boolean` - `cache_ttl: number` - `collect_logs: boolean` - `created_at: string` - `modified_at: string` - `rate_limiting_interval: number` - `rate_limiting_limit: number` - `authentication: optional boolean` - `dlp: optional object { action, enabled, profiles } or object { enabled, policies }` - `object { action, enabled, profiles }` - `action: "BLOCK" or "FLAG"` - `"BLOCK"` - `"FLAG"` - `enabled: boolean` - `profiles: array of string` - `object { enabled, policies }` - `enabled: boolean` - `policies: array of object { id, action, check, 2 more }` - `id: string` - `action: "FLAG" or "BLOCK"` - `"FLAG"` - `"BLOCK"` - `check: array of "REQUEST" or "RESPONSE"` - `"REQUEST"` - `"RESPONSE"` - `enabled: boolean` - `profiles: array of string` - `is_default: optional boolean` - `log_management: optional number` - `log_management_strategy: optional "STOP_INSERTING" or "DELETE_OLDEST"` - `"STOP_INSERTING"` - `"DELETE_OLDEST"` - `logpush: optional boolean` - `logpush_public_key: optional string` - `otel: optional array of object { authorization, headers, url, content_type }` - `authorization: string` - `headers: map[string]` - `url: string` - `content_type: optional "json" or "protobuf"` - `"json"` - `"protobuf"` - `rate_limiting_technique: optional "fixed" or "sliding"` - `"fixed"` - `"sliding"` - `retry_backoff: optional "constant" or "linear" or "exponential"` Backoff strategy for retry delays - `"constant"` - `"linear"` - `"exponential"` - `retry_delay: optional number` Delay between retry attempts in milliseconds (0-5000) - `retry_max_attempts: optional number` Maximum number of retry attempts for failed requests (1-5) - `store_id: optional string` - `stripe: optional object { authorization, usage_events }` - `authorization: string` - `usage_events: array of object { payload }` - `payload: string` - `workers_ai_billing_mode: optional "postpaid"` Controls how Workers AI inference calls routed through this gateway are billed. Only 'postpaid' is currently supported. - `"postpaid"` - `zdr: optional boolean` - `success: boolean` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/gateways/$ID \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" ``` #### Response ```json { "result": { "id": "my-gateway", "cache_invalidate_on_update": true, "cache_ttl": 0, "collect_logs": true, "created_at": "2019-12-27T18:11:19.117Z", "modified_at": "2019-12-27T18:11:19.117Z", "rate_limiting_interval": 0, "rate_limiting_limit": 0, "authentication": true, "dlp": { "action": "BLOCK", "enabled": true, "profiles": [ "string" ] }, "is_default": true, "log_management": 10000, "log_management_strategy": "STOP_INSERTING", "logpush": true, "logpush_public_key": "xxxxxxxxxxxxxxxx", "otel": [ { "authorization": "authorization", "headers": { "foo": "string" }, "url": "url", "content_type": "json" } ], "rate_limiting_technique": "fixed", "retry_backoff": "constant", "retry_delay": 0, "retry_max_attempts": 1, "store_id": "store_id", "stripe": { "authorization": "authorization", "usage_events": [ { "payload": "payload" } ] }, "workers_ai_billing_mode": "postpaid", "zdr": true }, "success": true } ```